<?php
session_start();

// Wenn data_inc.php nicht existiert, wird sofort umgeleitet:
if (!file_exists("data_inc.php")) {
	header("Location: install/index.php");
	exit;
}
if (file_exists("install/index.php"))
	die("Delete installation directory first.");

// Die Dateien importieren:
include "mysql_inc.php";
include "funcs_inc.php";
include "page_funcs_inc.php";


// Ueberpruefen, ob Systempasswort verlangt wird:
if ($system["pwd"] != "" && $_SESSION["bsp_2"]["system"] != "1")
	system_pwd_login();
// Ansonsten die Routine zum Aufrufen der Funktion starten
else
	start_page_func();




// Verbindung zu MySQL schliessen:
mysqli_close($verbindung);

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>

	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

	<title>Browser Song Presentation</title>

	<link type="text/css" href="style.css" rel="stylesheet" media="screen" /> 
	
	<?php echo insert_scripts(); ?>

</head>

<body>
<div id="bodytop"></div>

<div id="wrapper">

<img src="bilder/content_bg_top.png" alt="" width="966" height="auto"/>
<div id="content">

		<!-- Header -->
		<div id="header">
			<a href="#" id="logo">Browser Song Presentation</a>
		</div>
		
		<!-- Horizontale Navigation -->
		<div id="topnav">
				<ul>
					<li><a href="index.php?action=songs">Songs</a></li>
					<li><a href="index.php?action=kontrolle" style="color: red;">Kontrolle</a></li>
					<li><a href="index.php?action=settings">Settings</a></li>
					<li><a href="index.php?action=devices">Devices</a></li>
					<li><a href="beamer/index.php" target="_blank" style="color: red;">Ausgabe</a></li>
					<li><a href="index.php?action=logout">Logout</a></li>
				</ul>
		</div>
		
		
		<div id="selfmade_mitte"><?php echo $echo; ?></div>
		
		
		<!-- footer -->
		<div id="footer">
		
		&copy; Copyright <a href="http://www.jlus.de" target="_blank">Jonathan Lusky</a>
		
		

</div>
<img src="bilder/content_bg_bottom.png" alt="" width="966" height="auto"/>

</div>

</body>
</html>
