<?php
session_start();

// Dateien imporieren
include "../mysql_inc.php";
include "../funcs_inc.php";

// Erste Sicherheitskontrolle
if ($system["pwd"] != "" && $_SESSION["bsp_2"]["system"] != "1")
	die("Hacking attempt. - No permission to access password-protected page.");


// Allowed - Funcs:
$allowed = array("save_songliste", "Songsuche", "open_lyrics", "open_editable",
"song_save", "song_delete", "kontrolle_setfolie", "devices_update");
if (in_array($_POST["action"], $allowed))
	call_user_func("js_" . $_POST["action"], "");
else
	die("Hacking attempt. - No permission to access not defined function.");


/* ----------------------------------------- */	



function js_devices_update () {
	global $verbindung;
	// Die Daten bekommen, die ich ueber POST geschickt bekomme
	$id = $_POST["id"];
	$datenstring_splitted = explode("&", $_POST["datenstring"]);
	
	// Fuer jedes Paar ("POST_ID=Value")
	foreach ($datenstring_splitted as $datenpaar) {
		
		// Damit ich einen Array habe mit zwei Werten.
		// (array(POST_ID, Value))
		$datenpaar = explode("=", $datenpaar);
		
		$general[$datenpaar[0]] = $datenpaar[1];
		
		// Kontrolle, ob Wert gesetzt ist
		if ($datenpaar[0] != ("pwd_" . $id) && $datenpaar[1] == "") {
			// Wert nicht das Passwortfeld und trotzdem leer?
			die("Datenwert " . $datenpaar[0] . " ist leer.");
		}
		
	}
	
	// Und jetzt alle Daten lesbar machen:
	$name = $general["name"];
	$sprache1an = $general["sprache1an_" . $id];
	$sprache1groesse = $general["text_sprache1groesse_" . $id];
	$sprache2an = $general["sprache2an_" . $id];
	$sprache2groesse = $general["text_sprache2groesse_" . $id];
	$hoehe = $general["text_hoehe_" . $id];
	$breite = $general["text_breite_" . $id];
	$abtastrate = $general["text_abtastrate_" . $id];
	$effekte = $general["effekte_" . $id];
	$pwd = md5($general["pwd_" . $id]);
	$pwd_checkbox = $general["pwd_checkbox_" . $id];
	
	if ($pwd_checkbox == "1")
		$pwd_insert = ", pwd = '" . $pwd . "'";
	
	// Die Tabelle updaten
	$sql = mysqli_query($verbindung, "UPDATE bsp_devices SET name = '$name', sprache1an = $sprache1an,
	sprache1groesse = $sprache1groesse, sprache2an = $sprache2an, sprache2groesse = $sprache2groesse,
	hoehe = $hoehe, breite = $breite, abtastrate = $abtastrate, effekte = $effekte" . $pwd_insert . "
	WHERE id = $id LIMIT 1");
	
	if (!$sql)
		echo mysqli_error($verbindung);
	else
		echo 'OK';
	
}


function js_kontrolle_setfolie () {
	global $verbindung;
	// Den Inhalt erfassen:
	$content = urldecode($_POST["content"]);
	
	if ($content == "undefined") $content = "::;;::black::;;::";
	
	// Speichern:
	$sql = mysqli_query($verbindung, "UPDATE bsp_system SET aktuell =
	'" . mysqli_real_escape_string($verbindung, $content) . "', timestamp = " . time() . " WHERE id = 1");
	
	if ($sql)
		echo 'OK';
	else
		echo mysqli_error($verbindung);
	
}



function js_song_delete () {
	global $verbindung;
	// Hiermit loesche ich einen Song fuer immer:
	$id = $_POST["id"];
	
	// Loeschen:
	$sql = mysqli_query($verbindung, "DELETE FROM bsp_songs WHERE id = " . $id . " LIMIT 1");
	
	if ($sql)
		echo 'OK';
	else
		echo mysqli_error($verbindung);
	
}




function js_song_save () {
	global $verbindung;
	
	$id = $_POST["id"];
	$titel = umlaute(utf8_decode(urldecode($_POST["titel"])));
	$autor = umlaute(utf8_decode(urldecode($_POST["autor"])));
	$sprachen = $_POST["sprachen"];
	$songtext = umlaute(utf8_decode(strip_tags(br2nl(urldecode($_POST["songtext"])))));
	
	
	// Songtext-output generieren:
	$songtext_out = colorize_songtext(seperate_songtext($songtext), $sprachen);
	
	$songtext = mysqli_real_escape_string($verbindung, $songtext);
	$titel = mysqli_real_escape_string($verbindung, $titel);
	$autor = mysqli_real_escape_string($verbindung, $autor);
	
	if ($id == "0") {
		
		// Ein neuer Eintrag:
		$sql = mysqli_query($verbindung, "INSERT INTO bsp_songs (titel, sprachen, autor, songtext, reihenfolge, ordnung) VALUES
		('" . $titel . "', '" . $sprachen . "', '" . $autor . "', '" . $songtext . "', '', '0')");
		
		echo $songtext_out . '!!:;:!!' . mysqli_insert_id($verbindung);
		
	}
	
	else {
		
		mysqli_query($verbindung, 'UPDATE bsp_songs SET titel = "' . $titel . '", sprachen = "' . $sprachen . '", autor = "' . $autor . '",
		songtext = "' . $songtext . '" WHERE id = "' . $id . '" LIMIT 1');
		
		// Und hier natuerlich auch speichern:
		echo $songtext_out.mysqli_error();
		
	}
	
}


function js_open_editable () {
	global $verbindung;
	// Hier wird an den Client die editierbare Version vom Song geschickt:
	// ID!!:;:!!Titel!!:;:!!Autor!!:;:!!Sprachen!!:;:!!Songtext (colorized)
	
	$sql = mysqli_query($verbindung, "SELECT id, titel, autor, sprachen, songtext FROM bsp_songs WHERE id = '" . $_POST["id"] . "' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	if ($row->id == "")
		die("Hacking attempt. - No Entry with requested ID" . mysqli_error($verbindung));
	
	
	echo $row->id . '!!:;:!!' . utf8_encode(umlaute($row->titel, true)) . '!!:;:!!' . $row->autor . '!!:;:!!'
	. $row->sprachen . '!!:;:!!' . colorize_songtext(seperate_songtext($row->songtext), $row->sprachen);
}


function js_open_lyrics () {
	global $verbindung;
	// Abfrage fuer Songtext oeffnen, damit diese im Dialog angezeigt werden koennen.
	$sql = mysqli_query($verbindung, "SELECT id, titel, songtext, autor, sprachen FROM bsp_songs WHERE id = '" . $_POST["id"] . "' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	if ($row->id == "")
		die("Hacking attempt. - No Entry with requested ID" . mysqli_error($verbindung));
	
	if ($row->autor != "")
		echo '<b>Autor: ' . $row->autor . '</b><br /><br />';
	
	echo colorize_songtext(seperate_songtext($row->songtext), $row->sprachen);
	
}


// Diese Funktion schickt die Suchergebnisse hin
function js_songsuche () {
	global $verbindung;
	// Wenn der Suchterm leer ist, dann alles ausgeben:
	if ($_POST["term"] == "") {
		
		$sql = mysqli_query($verbindung, "SELECT id, titel FROM bsp_songs WHERE ordnung = 0 ORDER BY titel");
		while ($row = mysqli_fetch_object($sql)) {
			$ausgabe = $ausgabe . generate_song_item_list($row->id, $row->titel);
		}
		
		echo $ausgabe;
		
	}
	
	// Hier soll ernsthaft gesucht werden:
	else {
		
		$sql = mysqli_query($verbindung, 'SELECT id, titel FROM bsp_songs WHERE ordnung = 0 &&
		(titel LIKE "%' . umlaute($_POST["term"]) . '%" || songtext LIKE "%' . umlaute($_POST["term"]) . '%" )
		ORDER BY titel');
		while ($row = mysqli_fetch_object($sql)) {
			$ausgabe = $ausgabe . generate_song_item_list($row->id, $row->titel);
		}
		
		echo $ausgabe . mysqli_error($verbindung);
		
	}
	
}

	
// Diese Funktion speichert die Songs in der richtigen Reihenfolge.
function js_save_songliste () {
	global $verbindung;
	$songliste1 = array_filter(explode("liste[]=", $_POST["songliste1"]));
	$songliste2 = array_filter(explode("liste[]=", $_POST["songliste2"]));
	
	// Hier wird nun die Songliste sortiert:
	$ordering = 0;
	foreach($songliste2 as $song) {
		$ordering++;
		mysqli_query($verbindung, "UPDATE bsp_songs SET ordnung = " . $ordering . " WHERE id = " . trim($song, "&"));
	}
	echo mysqli_error($verbindung);
	
	// Und die andere Liste speichern:
	foreach ($songliste1 as $song) {
		mysqli_query($verbindung, "UPDATE bsp_songs SET ordnung = 0 WHERE id = " . trim($song, "&"));
	}
	
	echo "ok" . mysqli_error($verbindung);
	
}


mysqli_close($verbindung);

?>
