var aktuelle_folie = 1;
var key_black;
var key_background;

$(function () {
	
	// Die Tableiste definieren
	$('#tabs').tabs();
	
	// Das Buttonset oben mit Blackscreen und Hintergrundbild
	$('#buttonset_black_background').buttonset();
	
	// Die Taste fuer das Hintergrundbild und den Blackscreen beschreiben:
	key_black = parseInt($('#to_js_key_black').html());
	key_background = parseInt($('#to_js_key_background').html());
	
});



// Mithilfe dieser Klauseln kann ich festlegen, was passiert:
$(window).keydown(function (event) {
	
	var tasten_press = "empty";
	
	// Wenn Blackscreentaste gedrueckt wird:
	if (event.keyCode == key_black) {
		otherscreen("::;;::black::;;::");
	}
	
	// Wenn die Hintergrundbildtaste gedrueckt wird:
	else if (event.keyCode == key_background) {
		otherscreen("::;;::background::;;::");
	}
	
	// Wenn eine der Zahlentasten (nummernblock) gedrueckt wurde:
	else if (event.keyCode > 96 && event.keyCode < 106) {
		tasten_press = event.keyCode - 96;
	}
	
	// Wenn eine Zahlentaste von oben gedrueckt wurde
	else if (event.keyCode > 48 && event.keyCode < 58) {
		tasten_press = event.keyCode - 48;
	}
	
	// Wenn die Weiter Taste gedrueckt wird:
	else if (event.keyCode == 39) {
		// Zuerst die aktuelle ID holen:
		var aktuelle_id = $('.folie_active').attr("id");
		
		// Ist ID leer (Also keine Folie aktiv?)
		if (typeof aktuelle_id === "undefined") {
			changefolie(aktuelle_folie + '-1');
		}
		
		// Wenn nicht leer:
		else {
			// ID splitten
			aktuelle_id = aktuelle_id.split("-");
			
			// Wenn die beiden Folien_IDs nicht uebereinstimmen die neue nehmen und da auf Folie 1:
			if (aktuelle_id[1] != aktuelle_folie) {
				changefolie(aktuelle_folie + '-1');
			}
			else {
				// Ansonsten die neue Folie anzeigen:
				changefolie(aktuelle_folie + '-' + (parseInt(aktuelle_id[2]) - -1));
			}
		}
	}
	
	
	// Wenn die Zurueck Taste gedrueckt wird:
	else if (event.keyCode == 37) {
		// Zuerst die aktuelle ID holen:
		var aktuelle_id = $('.folie_active').attr("id");
		
		// Wenn nicht leer:
		if (typeof aktuelle_id !== "undefined") {
			// ID splitten
			aktuelle_id = aktuelle_id.split("-");
			
			// Die aktuelle und die alten Song ID muss identisch sein
			if (aktuelle_id[1] == aktuelle_folie) {
				
				// Die neue Folie anzeigen
				changefolie(aktuelle_folie + '-' + (parseInt(aktuelle_id[2]) - 1));
				
			}
		}
		
		else alert("leer");
	}
	
	// Wenn eine Taste gedrueckt wurde mit zahl:
	if (tasten_press != "empty") {
		changefolie(aktuelle_folie + '-' + tasten_press);
	}
	
});



function changefolie (folien_id) {
	
	// Alte Folie selektieren und unactivaten:
	$('.folie_active').removeClass("folie_active");
	
	// Neue Folie als aktiv markieren:
	$('#folie-' + folien_id).addClass("folie_active");
	
	// Den Inhalt bekommen
	var folientext = encodeURIComponent($('#folie-' + folien_id + ' .output_songtext').html());
	
	// Den neuen Inhalt uebertragen
	$.post("javascript/js_funcs.php", {"action": "kontrolle_setfolie", "content": folientext}, function (data) {
		
		if (data != "OK") {
			alert(data);
		}
		
	});
	
}


// Diese Funktion wandelt hinten das Bild zum Black oder Background
function otherscreen (which) {
	
	// Alte Folie inaktiv machen:
	$('.folie_active').removeClass("folie_active");
	
	
	// Den neuen Inhalt uebertragen
	$.post("javascript/js_funcs.php", {"action": "kontrolle_setfolie", "content": which}, function (data) {
		
		if (data != "OK") {
			alert(data);
		}
		
	});
	
}