<?php
$conf = array(
	// The Software Title
	'title' => 'Browser Song Presentation 2',
	
	// Do you want to show a License? (empty for no, path for license)
	'license_full' => '',
	'license_shortdescription' => '<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">'
		. '<img alt="Creative Commons License" style="border-width:0" '
		. 'src="https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png" /></a><br />This '
		. 'work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">'
		. 'Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License</a>.',
	
	// Installation Messages like required server settings and stuff
	'install_message' => '<p><b>Projektnummer:</b> 2</p>'
	. '<p><b>Hintergrund:</b> Bei der Durchf&uuml;hrung der j&auml;hrlichen Konzertreise des Kenia Musikprojekts '
	. 'im Jahr 2013 wurde das Nichtvorhandensein einer geeigneten Beamersoftware zum Darstellen von zweisprachigen '
	. 'Liedertexten auf anderen, im lokalen Netzwerk vertretenen Ger&auml;ten festgestellt. Dieser Mangel sollte '
	. 'mit diesem Projekt, urspr&uuml;nglich in der ersten Version, abgedeckt werden. Diese enthielt lediglich die '
	. 'wichtigsten Features und wurde bald im Nachhinein durch eine verbesserte, funktionsm&auml;chtigere Version '
	. '(Version 2) abgel&ouml;st.</p>'
	. '<p><b>Beschreibung:</b> Diese Software bietet die M&ouml;glichkeit, Liedtexte zu speichern, in einen Ablaufplan '
	. 'zu integrieren und nach spezifischen Einstellungen auf verschiedensten Geräten mit unterschiedlichen '
	. 'Aufl&ouml;sungen und Effekten darzustellen. Dies erm&ouml;glicht eine effiziente Trennung zwischen Bildschirmen '
	. 'auf der B&uuml;hne für die Musikanten und einem Ger&auml;t zur Anzeige der Texte für das Publikum. Alles was '
	. 'ben&ouml;tigt wird, ist ein Ger&auml;t mit einem modernen Browser (z.B. Mozilla Firefox) und ein Ger&auml;t '
	. 'mit der Serversoftware.</p>',
		
	// If there is a fixed prefix given already, set here true
	'db_fixed_prefix' => true,
	
	// The path of the config file
	'config_file_path' => '../data_inc.php',
	
	// Ask for first Userinformations:
	'ask_user_info' => false,
	'user_information' => ''
);



// This function is run after everything has been checked (no termination required, only saving)
// Return true, if it was successfull, return false, if not
// $connection for mysqli is provided
// $username and $pwd provided
function setFirstUser($connection, $username, $pwd) {
	
}

?>
