<?php
/*Just add all the db-queries here. Prefix is $_SESSION['installer']['sql_prefix']*/
$queries = array(
'Creating table "bsp_system"' => 'CREATE TABLE IF NOT EXISTS `bsp_system` (
		  `id` int(2) NOT NULL,
		  `pwd` varchar(50) NOT NULL,
		  `key_black` int(11) NOT NULL,
		  `key_background` int(4) NOT NULL,
		  `show_per_row` int(2) NOT NULL,
		  `logopfad` text NOT NULL,
		  `aktuell` longtext NOT NULL,
		  `timestamp` bigint(40) NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=InnoDB DEFAULT CHARSET=utf8',

'Creating table "bsp_devices"' => 'CREATE TABLE IF NOT EXISTS `bsp_devices` (
		  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `name` varchar(50) NOT NULL,
		  `hoehe` int(10) NOT NULL,
		  `breite` int(10) NOT NULL,
		  `sprache1an` tinyint(1) NOT NULL,
		  `sprache2an` tinyint(1) NOT NULL,
		  `sprache1groesse` tinyint(1) NOT NULL,
		  `sprache2groesse` tinyint(1) NOT NULL,
		  `abtastrate` int(5) NOT NULL,
		  `pwd` varchar(50) NOT NULL,
		  `effekte` tinyint(1) NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1',

'Creating table "bsp_songs"' => 'CREATE TABLE IF NOT EXISTS `bsp_songs` (
		  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `titel` varchar(50) NOT NULL,
		  `autor` varchar(50) NOT NULL,
		  `songtext` text NOT NULL,
		  `sprachen` tinyint(1) NOT NULL,
		  `reihenfolge` varchar(100) NOT NULL,
		  `ordnung` int(10) NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1',
	
'Inserting values in "bsp_system"' => 'INSERT INTO `bsp_system` (`id`, `pwd`, `key_black`, `key_background`,
		`show_per_row`, `logopfad`, `aktuell`, `timestamp`) VALUES
		(1, \'\', 66, 72, 4, \'logo.jpg\', \'::;;::black::;;::\', \'1\')',

'Inserting values in "bsp_devices"' => 'INSERT INTO `bsp_devices` (`name`, `hoehe`, `breite`,
		`sprache1an`, `sprache2an`, `sprache1groesse`, `sprache2groesse`, `abtastrate`, `pwd`, `effekte`) VALUES
		(\'Beamer\', 800, 900, 1, 1, 45, 30, 200, \'d41d8cd98f00b204e9800998ecf8427e\', 1),
		(\'Stage\', 700, 800, 1, 0, 50, 0, 500, \'d41d8cd98f00b204e9800998ecf8427e\', 0)',

'Inserting sample songs' => 'INSERT INTO `bsp_songs` (`titel`, `autor`, `songtext`,
		`sprachen`, `reihenfolge`, `ordnung`) VALUES' . file_get_contents("songs.sql")

);
?>
