$(document).ready(function () {
	
	// Hier werden die Sliderbuttons links definiert
	$('.hit_open_button').button({
		icons: {primary: "ui-icon-carat-1-s"},
		text: false
	});
	
	// Und hier werden die Slider fuer die Schriftgroesse 1 beschrieben.
	$('.slider_sprache1groesse').slider({
		range: 'min',
		min: 4,
		max: 90,
		step: 1,
		slide: function (event, ui) {
			var id = $(this).attr("id").split("_");
			$("input[name='text_sprache1groesse_" + id[2] + "']").val(ui.value);
		}
	});
	
	// Und hier werden die Slider fuer die Schriftgroesse 2 beschrieben.
	$('.slider_sprache2groesse').slider({
		range: 'min',
		min: 4,
		max: 90,
		step: 1,
		slide: function (event, ui) {
			var id = $(this).attr("id").split("_");
			$("input[name='text_sprache2groesse_" + id[2] + "']").val(ui.value);
		}
	});
	
	// Und hier werden die Slider fuer die Hoehe beschrieben.
	$('.slider_hoehe').slider({
		range: 'min',
		min: 300,
		max: 1050,
		step: 1,
		slide: function (event, ui) {
			var id = $(this).attr("id").split("_");
			$("input[name='text_hoehe_" + id[2] + "']").val(ui.value);
		}
	});
	
	// Und hier werden die Slider fuer die Hoehe beschrieben.
	$('.slider_breite').slider({
		range: 'min',
		min: 300,
		max: 1680,
		step: 1,
		slide: function (event, ui) {
			var id = $(this).attr("id").split("_");
			$("input[name='text_breite_" + id[2] + "']").val(ui.value);
		}
	});
	
	
	// Und hier werden die Slider fuer die Abtastrate beschrieben.
	$('.slider_abtastrate').slider({
		range: 'min',
		min: 100,
		max: 1000,
		step: 1,
		slide: function (event, ui) {
			var id = $(this).attr("id").split("_");
			$("input[name='text_abtastrate_" + id[2] + "']").val(ui.value);
		}
	});
	
	// Und dem Slider werden die aktuellen Werte zugefuegt:
	$('.slider_text').each(function (i, obj) {
		var wert = parseInt($(this).attr("value"));
		var id = $(this).attr("name").split("_");
		$('#slider_' + id[1] + '_' + id[2]).slider("value", wert);
	});
	
	// Alle Buttonsets zu buttonsets machen.
	$('.buttonset').buttonset();
	
	
	// Die PWD-Buttons aktivieren:
	$('.pwd_button').button({
	text: false,
	icons: {primary: 'ui-icon-locked'}
	}).click(function () {
		var selector = $(this).parent().prev().children();
		var selector_checkbox = $(this).next();
		
		if (selector.prop("disabled")) {
			// Entsperren
			selector.prop("disabled", false);
			$(this).button({icons: {primary: 'ui-icon-unlocked'}});
			selector_checkbox.prop("checked", true);
		}
		else {
			// Sperren
			selector.prop("disabled", true);
			$(this).button({icons: {primary: 'ui-icon-locked'}});
			selector_checkbox.prop("checked", false);
		}
	});
	
	
	// Die Submit Buttons anzeigen
	$('input[type="submit"]').parent().buttonset();
	
	// Neues Device Button
	$('#neues_device_button').button({icons: {primary: 'ui-icon-pencil'}, text: false})
	.click(function () {location.href = 'index.php?action=devices&subac=new_device';});
	
});


function sendform (id) {
	// Die Daten bekommen als GET-Geschichte
	var formular_daten = $('#form_' + id).serialize();
	
	// Die Daten per Post eben bitte schicken
	$.post("javascript/js_funcs.php", {"id": id, "action": "devices_update", "datenstring": formular_daten}, function (data) {
		// Wenn die Daten zurueck kommen, dann bitte auch OK
		if (data != "OK") {
			alert("Daten konnten leider nicht gespeichert werden. " + data);
		}
		else {
			$('#success_saved').slideDown("slow");
			setTimeout(function () {$('#success_saved').slideUp("slow");}, 3000);
		}
		
	});
	
}


// Mithilfe dieser Funktion koennen die versteckten DIVs angezeigt werden koennen.
function open_edit (work_id) {
	
	// Sind das moeglicherweise die gleichen?
	if ($('.devices_button_active').attr("id") == "button_" + work_id) {
		
		// Der alte Button bekommt das standard-layout:
		$('.devices_button_active').button({icons:{primary: "ui-icon-carat-1-s"}}).removeClass("devices_button_active");
		// Das vorherige Fenster wird geschlossen:
		$('.devices_div_active').slideUp("slow").removeClass("devices_div_active");
		
		return true;
		
	}
	
	
	// Der alte Button bekommt das standard-layout:
	$('.devices_button_active').button({icons:{primary: "ui-icon-carat-1-s"}}).removeClass("devices_button_active");
	// Das vorherige Fenster wird geschlossen:
	$('.devices_div_active').slideUp("slow").removeClass("devices_div_active");
	
	
	// Den neuen Button umwandeln
	$('#button_' + work_id).button({icons:{primary: "ui-icon-carat-1-n"}}).addClass("devices_button_active");
	// Das neue Fenster runtersliden
	$('#div_' + work_id).slideDown("slow").addClass("devices_div_active");
	
}
