var needed_key = "";

$(function () {
	
	// Tastendruck wird erkannt
	$(window).keydown(function (event) {
		
		if (needed_key != "") {
			// Nur fortfahren, wenn auch wirklich benoetigt wird
			// Das entsprechende Feld ueberschreiben
			$('#key_' + needed_key).val(event.keyCode);
			$('#press_key').slideUp("fast");
			
			// Zum Schluss ueberschreiben
			needed_key = "";
			
			// Und natuerlich das Signal, dass hier etwas geandert wird:
			$('#label_tastenbelegung').addClass("highlight_tastenbelegung");
		}
		
	});
	
	
	
	// Button zum Entsperren der PWD's
	$('#pwd_release').button({
		icons: {primary: 'ui-icon-locked'},
		text: false
	}).click(function () {
		
		if ($('#pwd').prop("disabled")) {
			// Hier wird entsperrt
			$('#pwd').prop("disabled", false);
			$('#pwd_re').prop("disabled", false);
			$('#pwd_old').prop("disabled", false);
			$('#pwd_release').button({icons: {primary: 'ui-icon-unlocked'}});
		}
		else {
			// Hier wird gesperrt
			$('#pwd').prop("disabled", true).val("");
			$('#pwd_re').prop("disabled", true).val("");
			$('#pwd_old').prop("disabled", true).val("");
			$('#pwd_release').button({icons: {primary: 'ui-icon-locked'}});
		}
		
	});
	
	
	
	// Slider einfuegen
	$('#slider').slider({
		range: 'min',
		min: 2,
		max: 5,
		value: $('#slider_text').val(),
		slide: function (event, ui) {
			$('#slider_text').val(ui.value);
		}
	});
	
	
	$('#buttonset').buttonset();
	$('#save').button();
	
})


function new_key (black_or_back) {
	
	// Wenn Menue noch offen, dann wird es wieder geschlossen.
	if (needed_key == black_or_back) {
		needed_key = '';
		$('#press_key').slideUp("slow");
	}
	else if (black_or_back == "black") {
		needed_key = "black";
		$('#press_key').slideDown("slow");
	}
	else {
		needed_key = "back";
		$('#press_key').slideDown("slow");
	}
	
}
