$(function () {
	
	// Die beiden Listen Initialisieren und verbinden
	$('#songliste1, #songliste2').sortable({
		connectWith: ".connected_sortable",
		placeholder: "ui-state-highlight",
		forcePlaceholderSize: true,
		stop: function ( event, ui ) {
			
			// Sortable deaktivieren, solange geladen wird:
			$('#songliste1, #songliste2').sortable("disable");
			
			// Hier wurde schon fertig sortiert!
			var schicke1 = $('#songliste1').sortable("serialize");
			var schicke2 = $('#songliste2').sortable("serialize");
			
			$.post("javascript/js_funcs.php", {"action": "save_songliste", "songliste1": schicke1, "songliste2": schicke2}, function (data) {
				
				// Und nach dem Laden wieder aktivieren:
				$('#songliste1, #songliste2').sortable("enable");
				
				if (data != "ok") {
					alert("Es gab einen Speicherfehler. Bitte neu laden.");
					alert(data);
				}
				
			});
			
		}
	}).disableSelection();
	
	
	
	// Die Buttons anzeigen:
	$('.show_button').button({
		icons: {
			primary: 'ui-icon-folder-open'
		},
		text: false
	});
	
});